Bug 1364999 - [RFE] Show gluster volume info in ovirt dashboard
Summary: [RFE] Show gluster volume info in ovirt dashboard
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine-dashboard
Classification: oVirt
Component: RFEs
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ovirt-4.1.0-beta
: ---
Assignee: Ramesh N
QA Contact: RamaKasturi
URL:
Whiteboard:
Depends On:
Blocks: 1460900 Gluster-HC-2 1416221
TreeView+ depends on / blocked
 
Reported: 2016-08-08 10:57 UTC by Ramesh N
Modified: 2017-06-13 05:17 UTC (History)
9 users (show)

Fixed In Version: ovirt-engine-dashboard-1.2.0-0.1.20170110gita33ef80.el7.centos.noarch.rpm
Doc Type: Enhancement
Doc Text:
The Red Hat Virtualization dashboard now displays gluster volume information. This enables the user to see a summary of all gluster volumes in the system.
Clone Of:
Environment:
Last Closed: 2017-02-15 14:48:36 UTC
oVirt Team: Gluster
rule-engine: ovirt-4.1+
rule-engine: exception+
ylavi: planning_ack+
rnachimu: devel_ack+
lsvaty: testing_ack+


Attachments (Terms of Use)
Gluster widget in oVirt Dashboard (128.15 KB, image/png)
2016-11-09 10:34 UTC, Ramesh N
no flags Details
Attaching screenshot for gluster volumes in dashboard (159.83 KB, image/png)
2017-01-27 13:32 UTC, RamaKasturi
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 65698 master MERGED webadmin: Add gluster inventory to DashboardDataServlet 2016-11-09 18:10:07 UTC
oVirt gerrit 65706 master MERGED Add aggregate status card for gluster volume 2017-01-03 14:28:21 UTC

Description Ramesh N 2016-08-08 10:57:47 UTC
Description of problem:

Show gluster volume info in oVirt Dashboard.

There is a new dashboard added in Ovirt 4.0. But it is missing details about gluster volume. Adding gluster volume information to the dashboard will be useful in hyperconverged deployments where Virt and Gluster will be running together on the same cluster and both managed by Ovirt.


Additional info:

Current dashboard already covers the basic details like hosts in the cluster, CPU and Memory usages. Only Gluster Volume information is missing.

Comment 1 Ramesh N 2016-11-09 10:34:14 UTC
Created attachment 1218888 [details]
Gluster widget in oVirt Dashboard

Comment 2 Vojtech Szocs 2016-11-09 18:26:38 UTC
Dashboard UI patch still not merged, moving back to POST.

Comment 8 Vojtech Szocs 2017-01-10 17:26:50 UTC
> Fixed In Version: cockpit-ovirt-dashboard-0.10.7-0.0.3.el7.centos.noarch.rpm

Shouldn't this be ovirt-engine-dashboard (?)

Comment 9 Ramesh N 2017-01-11 04:34:07 UTC
(In reply to vszocs from comment #8)
> > Fixed In Version: cockpit-ovirt-dashboard-0.10.7-0.0.3.el7.centos.noarch.rpm
> 
> Shouldn't this be ovirt-engine-dashboard (?)

Good catch. I wrongly updated the version. Correcting it now.

Comment 10 RamaKasturi 2017-01-27 13:32:09 UTC
Created attachment 1245150 [details]
Attaching screenshot for gluster volumes in dashboard


Note You need to log in before you can comment on or make changes to this bug.